commit 6bca1c57c29dc4547405c9a87dc53925d4822933
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 10 13:54:34 2020 +0100

    release 1.24.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9e09cce8ba72f1292f0504b3688b691a6dbf6528
Author: raveit65 <mate@raveit.de>
Date:   Fri Jan 10 11:24:18 2020 +0100

    Update copyright to 2020

 COPYING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79b8246c2c475602647ccb8106ea551aa697bf81
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Nov 30 23:54:55 2019 +0100

    Travis CI: add '-Wredundant-decls' to 'CFLAGS' variable

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcd53fa19ca1a44c33fded1445ca0fa8d6a6ccc5
Author: Pablo Barciela <scow@riseup.net>
Date:   Fri Nov 29 10:23:51 2019 +0100

    Travis CI: clang: -enable-checker alpha.deadcode.UnreachableCode

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit 1ac9c5d3c0350b3ac7d0c855a7426084f03ed8d0
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Oct 12 00:33:29 2019 +0200

    Travis CI: use Debian "testing" instead "sid"

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be0fd37598247d6a5099cdd057c3841dfe3a8618
Author: raveit65 <mate@raveit.de>
Date:   Sat Oct 5 18:07:00 2019 +0200

    travis(ci): enable notify_servers

 .travis.yml | 2 ++
 1 file changed, 2 insertions(+)

commit bd9a80e4c885f3b042a71599ce25c3a3d08dc981
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Jul 23 01:18:40 2019 +0200

    [ci] Add cppcheck html report

 .travis.yml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 269d1773c3905d3ff32bdcd8c1762997201f8f79
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Jul 23 01:05:46 2019 +0200

    travis: enable 'cppcheck' in debian

 .travis.yml | 4 ++++
 1 file changed, 4 insertions(+)

commit cfd211b98aa4a74d753743ff51acecbd5b8a9812
Author: raveit65 <mate@raveit.de>
Date:   Sun Jun 30 16:54:40 2019 +0200

    release 1.23.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 442aae38fc9cd597b9a32bbf08e3f6a7602fdfc0
Author: Laurent Napias <tamplan@free.fr>
Date:   Sun Jun 9 23:25:55 2019 +0200

    Change url project's website

 configure.ac                           | 2 +-
 data/libcaja-dropbox.caja-extension.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 303b45cee31f3e65846ff864412aaff1651ba4c3
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri May 31 13:49:37 2019 +0100

    Create FUNDING.yml

 .github/FUNDING.yml | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8dbda8ca9b022f39e3565b846616937da3175407
Author: raveit65 <mate@raveit.de>
Date:   Wed May 22 14:03:11 2019 +0200

    travis: use fedora-30 and ubuntu-19.10 for building

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c4984a6880a60cd414804b4066a31346da1609a3
Author: raveit65 <mate@raveit.de>
Date:   Tue Apr 23 14:54:24 2019 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 3388e0458607019af818e5878dd853442bbca665
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 25 20:06:46 2019 +0100

    github release

 .travis.yml | 37 +++++++++++++++++++++++++++----------
 1 file changed, 27 insertions(+), 10 deletions(-)

commit 8e852ad45e741b4e0db413a56ec552eb9ab7cbfa
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Mar 11 16:29:18 2019 +0800

    [ci] add gcc package

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit 805c815b3f378cdf824aa16a84a5c5454727a1f1
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Mar 11 16:19:25 2019 +0800

    [ci] Enable Clang Static Analyzer

 .travis.yml | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 64 insertions(+), 2 deletions(-)

commit 54ea50e5984fb97876bcd55cc8764d3d02f7394a
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Thu Feb 28 10:46:53 2019 +0800

    Use CAJA_EXTENSION_DIR_SYS to save and show system caja extension dir
    
    Here just show message, so a new variable used to save and show.
    Remove fallback caja_extension_dir set, pkg check libcaja-extension
    before, so this is not needed.

 configure.ac | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit a041c1dca3f565616a5ef4dd1bc47910c013b580
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Tue Feb 19 17:04:25 2019 +0800

    show full path of caja-extension-dir

 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 803b0a2701fa6e0aabdae1d6bbfd75e6e85d215a
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 25 13:46:01 2019 +0100

    release 1.22.0

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 6d281bce63215b21ebed7542a5cc4a3669f07f1f
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Feb 18 19:28:30 2019 +0800

    fix distcheck about caja_extension_dir

 configure.ac    | 8 +++++++-
 src/Makefile.am | 4 ++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit dd70319c820ec7dcfc20204627bfa8148cd747ba
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Feb 18 14:33:03 2019 +0800

    Enable Travis CI for all branches

 .travis.yml | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 60bbb51621e0752854b116c11a2d512a07a91050
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Feb 18 13:43:30 2019 +0800

    Initialize Travis CI support

 .travis.yml | 84 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 84 insertions(+)

commit 05e1e93acb86fc0e28f69acfd0cced773b140ff6
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Feb 18 14:36:07 2019 +0800

    Fix distcheck fail

 Makefile.am        | 8 ++++----
 docgen.py          | 5 ++++-
 serializeimages.py | 7 +++++--
 3 files changed, 13 insertions(+), 7 deletions(-)

commit 285937d893afae5874c483a59d91e035211a7f56
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 12 16:39:40 2019 +0300

    use only Python 3 during the build to complete the migration

 configure.ac | 26 ++------------------------
 1 file changed, 2 insertions(+), 24 deletions(-)

commit 3d48c5e516b5c1ab5d68def01ee5e8d9ad1df893
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Tue Feb 12 21:15:33 2019 +0800

    migrate from python2 to python3 of rst2man.py

 rst2man.py | 75 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 37 insertions(+), 38 deletions(-)

commit 4eab52b2d8fcc359076fdd44bf1d7820c95509fd
Author: Austin Kim <austink@dropbox.com>
Date:   Fri Jan 25 09:43:04 2019 -0800

    remove more -u modifier for dropbox-cli
    
    from:
    https://github.com/dropbox/nautilus-dropbox/pull/69

 caja-dropbox.in | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit 686bae0c7041adc19d970934e42f3db4fe88a989
Author: raveit65 <mate@raveit.de>
Date:   Sat Jan 26 22:22:22 2019 +0100

    release 1.21.0

 NEWS | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit cd91cedac3347901afbc22121ddc26c3e30beea1
Author: Austin Kim <austink@dropbox.com>
Date:   Tue Jan 15 15:36:46 2019 -0800

    Python 3 update for dropbox-cli
    
    origin commit from:
    https://github.com/dropbox/nautilus-dropbox/pull/68
    https://github.com/dropbox/nautilus-dropbox/commit/a07a129

 Makefile.am     |   4 +-
 caja-dropbox.in | 531 ++++++++++++++++++++++++++------------------------------
 configure.ac    |  24 ++-
 docgen.py       |   2 +-
 4 files changed, 269 insertions(+), 292 deletions(-)

commit f3fe4a4d53da87a87fb36646645da84367b07392
Author: Carlos Maddela <e7appew@gmail.com>
Date:   Sat Dec 8 04:27:38 2018 +1100

    Add Keywords entry to desktop file
    
    origin commit from:
    https://github.com/dropbox/nautilus-dropbox/pull/64

 data/caja-dropbox.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 7ab93740b5214935cfbe6ae3dddd58a1c2ce5c0d
Author: Carlos Maddela <e7appew@gmail.com>
Date:   Sat Dec 8 03:51:02 2018 +1100

    Use cross-compilation-safe pkg-config macro.
    
    origin commit from:
    https://github.com/dropbox/nautilus-dropbox/pull/63

 configure.ac | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit c85aaec1c46afdd1d7a975dd32d25c835b6daf10
Author: Carlos Maddela <e7appew@gmail.com>
Date:   Sat Dec 8 16:38:08 2018 +1100

    Remove deprecated glib2.0 API calls
    
    origin commit from:
    https://github.com/dropbox/nautilus-dropbox/pull/62

 src/caja-dropbox.c           | 17 ++++++-----------
 src/caja-dropbox.h           |  2 +-
 src/dropbox-command-client.c | 18 +++++++-----------
 src/dropbox-command-client.h |  2 +-
 4 files changed, 15 insertions(+), 24 deletions(-)

commit 167bfabfc228801bf99736bebb01ccbf2c9a76a8
Author: Laurent Bigonville <bigon@bigon.be>
Date:   Sat Oct 6 21:00:21 2018 +0200

    Use GIR bindings instead of pygtk
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/70b9c44
    https://github.com/dropbox/nautilus-dropbox/pull/57

 caja-dropbox.in    | 82 ++++++++++++++++++++++++++++--------------------------
 configure.ac       |  3 +-
 serializeimages.py | 12 ++++----
 3 files changed, 51 insertions(+), 46 deletions(-)

commit 55e4f9b9e8b8ece3c8a25d108dde5ebdf9aef397
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 10 11:10:10 2019 +0300

    fix UnicodeWarning when exclude command is used with non-latin args
    
    like this:
    
    $ caja-dropbox exclude тест
    $ caja-dropbox exclude тест тест2
    
    it's not the correct command usage, but we don't need a warning anyway

 caja-dropbox.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 343a3fb58e0584a997a528ce766b429755be4f3b
Author: Samer Masterson <samer@dropbox.com>
Date:   Wed Nov 14 16:01:12 2018 -0800

    Update to redesigned icons
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/f3633bf

 data/icons/hicolor/16x16/apps/caja-dropbox.png   | Bin 918 -> 486 bytes
 data/icons/hicolor/22x22/apps/caja-dropbox.png   | Bin 1485 -> 799 bytes
 data/icons/hicolor/24x24/apps/caja-dropbox.png   | Bin 1684 -> 704 bytes
 data/icons/hicolor/256x256/apps/caja-dropbox.png | Bin 17884 -> 12363 bytes
 data/icons/hicolor/32x32/apps/caja-dropbox.png   | Bin 2157 -> 941 bytes
 data/icons/hicolor/48x48/apps/caja-dropbox.png   | Bin 3537 -> 1554 bytes
 data/icons/hicolor/64x64/apps/caja-dropbox.png   | Bin 5016 -> 1888 bytes
 7 files changed, 0 insertions(+), 0 deletions(-)

commit 1eb18c678771efdea91bc7d40e1be8e3699518a5
Author: Samer Masterson <samer@dropbox.com>
Date:   Wed Nov 14 15:06:02 2018 -0800

    small caja-dropbox.in fixes
    
     - python-gpg was first included in 17.04, not 17.10. Update warning
       to reflect that.
    
     - Add more logging around error conditions.
    
     origin commit:
     https://github.com/dropbox/nautilus-dropbox/commit/64f6412

 caja-dropbox.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 527b9cc103ec07c8583904b6d6c97ad79f8be984
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Oct 6 23:28:52 2018 +0200

    Add a new "dropbox update" command
    
    This command forces a new download
    and installation of the dropbox binary files.
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/ce7c963
    https://github.com/dropbox/nautilus-dropbox/pull/59

 caja-dropbox.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 4cb4209b9a3055d63bfa6c99cd9cf9e76fcdbffd
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Oct 6 23:19:44 2018 +0200

    Unlink files that are going to be replaced by the unpack
    
    Without this, the unpack will fail with ETXTBUSY on some files which are
    being executed.
    
    https://bugs.launchpad.net/ubuntu/+source/nautilus-dropbox/+bug/818014
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/209542f
    https://github.com/dropbox/nautilus-dropbox/pull/59

 caja-dropbox.in | 3 +++
 1 file changed, 3 insertions(+)

commit 192451f0cc45863c54c2d6fcea0ce6dc33aaacae
Author: Samer Masterson <samer@dropbox.com>
Date:   Tue Jul 24 18:47:50 2018 -0700

    Validate that Dropbox runs after downloading it
    
    Validate that Dropbox can run by running `dropboxd /testrun 0`.
    Show an error message that points users to the system requirements
    help page if it won't run.
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/ff410cd

 caja-dropbox.in | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit 3d511a6a0f3f2480f192686dd6263524b8d3354f
Author: Samer Masterson <samer@dropbox.com>
Date:   Tue Jul 24 17:46:14 2018 -0700

    Use python-gpg instead of python-gpgme
    
    ...if it's installed
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/e936720
    https://github.com/dropbox/nautilus-dropbox/issues/51

 caja-dropbox.in | 44 ++++++++++++++++++++++++++++++++------------
 1 file changed, 32 insertions(+), 12 deletions(-)

commit 68dd75a47cb03766db51723efcafbd804ba4204b
Author: Victor Marinsky <victor.marinsky@gmail.com>
Date:   Fri Feb 2 17:11:22 2018 -0500

    Explicitly load using python2 interpreter
    
    Prevents dropbox startup crash on systems
    where 'python' is a link to 'python3'
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/69e931b
    https://github.com/dropbox/nautilus-dropbox/pull/45

 caja-dropbox.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7da6a742fee18de26e8760a958a2ae6e7f74213
Author: aidanhs <aidanhs@cantab.net>
Date:   Mon Oct 9 18:42:45 2017 +0100

    Refer to .dropbox-dist in only one place
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/f88f70e
    https://github.com/dropbox/nautilus-dropbox/pull/36

 caja-dropbox.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a939670f3ff160fa5fc79eca3f30f9a7504f7316
Author: Jeffrey Teo <Jeffrey.S.Teo@gmail.com>
Date:   Sat May 20 00:00:31 2017 +0800

    fixed 'exclude command raise UnicodeDecodeError'
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/bd8caf8
    https://github.com/dropbox/nautilus-dropbox/issues/28

 caja-dropbox.in | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 5543711e5c6667e5da4b7c5e2f7504e12fc9ee6d
Author: vagrant <vagrant@vagrant.vm>
Date:   Wed Oct 12 07:53:16 2016 +0000

    Avoid reading or writing invalid memory addresses
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/122b941
    https://github.com/dropbox/nautilus-dropbox/pull/25

 src/caja-dropbox.c | 58 +++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 46 insertions(+), 12 deletions(-)

commit 991a851ec15fc2bb31a37ccb7ca36e46f18828fb
Author: name <andrewhe@dropbox.com>
Date:   Wed Jul 27 15:05:45 2016 -0700

    Display link url on status
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/5c27e7a
    https://github.com/dropbox/nautilus-dropbox/pull/20

 caja-dropbox.in | 1 +
 1 file changed, 1 insertion(+)

commit d3261c14f40745ce39772e58009a6e0988f53911
Author: name <eswanson@alloscomp.com>
Date:   Fri Mar 13 13:03:15 2015 -0700

    Update dropbox.py with shmodel, proxy, and throttle features.
    
    origin commit:
    https://github.com/dropbox/nautilus-dropbox/commit/103743d

 caja-dropbox.in | 151 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 149 insertions(+), 2 deletions(-)

commit a2ccaaf76d82811158cf411be2829aa906870a5e
Author: raveit65 <mate@raveit.de>
Date:   Fri Jan 4 14:24:11 2019 +0100

    update Copyright year

 COPYING | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 394578fa7c0f41d263cf1fa86af8e225ed6dda26
Author: raveit65 <mate@raveit.de>
Date:   Fri Jan 4 14:16:07 2019 +0100

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 2f540c968be085a196e921730dc4b29a22da37ca
Author: raveit65 <mate@raveit.de>
Date:   Wed Jan 31 15:36:33 2018 +0100

    release 1.20

 NEWS         | 4 +++-
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 7f65c59310266d4fa0743c4b31049339284795a4
Author: monsta <monsta@inbox.ru>
Date:   Sun Jan 28 14:48:47 2018 +0300

    require GLib 2.50

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 356ddf5da0359e6b059e9a4181fe1366177d2d98
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 14:47:04 2017 +0200

    update issue_template

 .github/issue_template.md                        |   19 +
 AUTHORS                                          |    9 +
 COPYING                                          |  695 +++++++++++
 ChangeLog                                        |    2 +
 Makefile.am                                      |   27 +
 NEWS                                             |   30 +
 README                                           |   18 +
 autogen.sh                                       |   25 +
 caja-dropbox.in                                  | 1393 ++++++++++++++++++++++
 caja-dropbox.txt.in                              |   51 +
 configure.ac                                     |  134 +++
 data/Makefile.am                                 |   12 +
 data/caja-dropbox.desktop                        |   11 +
 data/emblems/Makefile.am                         |    8 +
 data/emblems/emblem-dropbox-syncing.icon         |    4 +
 data/emblems/emblem-dropbox-syncing.png          |  Bin 0 -> 5703 bytes
 data/emblems/emblem-dropbox-unsyncable.icon      |    4 +
 data/emblems/emblem-dropbox-unsyncable.png       |  Bin 0 -> 5053 bytes
 data/emblems/emblem-dropbox-uptodate.icon        |    4 +
 data/emblems/emblem-dropbox-uptodate.png         |  Bin 0 -> 4799 bytes
 data/icons/Makefile.am                           |    1 +
 data/icons/hicolor/16x16/Makefile.am             |    1 +
 data/icons/hicolor/16x16/apps/Makefile.am        |    9 +
 data/icons/hicolor/16x16/apps/caja-dropbox.png   |  Bin 0 -> 918 bytes
 data/icons/hicolor/22x22/Makefile.am             |    1 +
 data/icons/hicolor/22x22/apps/Makefile.am        |    9 +
 data/icons/hicolor/22x22/apps/caja-dropbox.png   |  Bin 0 -> 1485 bytes
 data/icons/hicolor/24x24/Makefile.am             |    1 +
 data/icons/hicolor/24x24/apps/Makefile.am        |    9 +
 data/icons/hicolor/24x24/apps/caja-dropbox.png   |  Bin 0 -> 1684 bytes
 data/icons/hicolor/256x256/Makefile.am           |    1 +
 data/icons/hicolor/256x256/apps/Makefile.am      |    9 +
 data/icons/hicolor/256x256/apps/caja-dropbox.png |  Bin 0 -> 17884 bytes
 data/icons/hicolor/32x32/Makefile.am             |    1 +
 data/icons/hicolor/32x32/apps/Makefile.am        |    9 +
 data/icons/hicolor/32x32/apps/caja-dropbox.png   |  Bin 0 -> 2157 bytes
 data/icons/hicolor/48x48/Makefile.am             |    1 +
 data/icons/hicolor/48x48/apps/Makefile.am        |    9 +
 data/icons/hicolor/48x48/apps/caja-dropbox.png   |  Bin 0 -> 3537 bytes
 data/icons/hicolor/64x64/Makefile.am             |    1 +
 data/icons/hicolor/64x64/apps/Makefile.am        |    9 +
 data/icons/hicolor/64x64/apps/caja-dropbox.png   |  Bin 0 -> 5016 bytes
 data/icons/hicolor/Makefile.am                   |   14 +
 data/libcaja-dropbox.caja-extension.in           |    6 +
 docgen.py                                        |   34 +
 rst2man.py                                       | 1091 +++++++++++++++++
 serializeimages.py                               |   27 +
 src/Makefile.am                                  |   39 +
 src/async-io-coroutine.h                         |   65 +
 src/caja-dropbox-hooks.c                         |  337 ++++++
 src/caja-dropbox-hooks.h                         |   79 ++
 src/caja-dropbox.c                               |  937 +++++++++++++++
 src/caja-dropbox.h                               |   68 ++
 src/dropbox-client-util.c                        |   91 ++
 src/dropbox-client-util.h                        |   39 +
 src/dropbox-client.c                             |  174 +++
 src/dropbox-client.h                             |   76 ++
 src/dropbox-command-client.c                     |  877 ++++++++++++++
 src/dropbox-command-client.h                     |  113 ++
 src/dropbox.c                                    |   54 +
 src/g-util.h                                     |   49 +
 61 files changed, 6687 insertions(+)
